Update a project
Authorization
apiKey Authorization<token>
API key as Bearer token: Authorization: Bearer
In: header
Path Parameters
projectId*string
ID of the project to update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://terac.com/api/external/v2/projects/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"name": "string",
"slug": "string",
"created_at": "string"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}